Skip to main content
`Ctrl`+`K`

# STGetBalanceMatrix

Gets the balance matrix used by the spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetBalanceMatrix(ST st,Vec *D)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- D - the diagonal matrix (represented as a vector)

## Note

If the matrix was not set, a `NULL` pointer will be returned.

## See Also

ST: Spectral Transformation, `STSetBalanceMatrix()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages